package bean;

import javax.ejb.Remote;
import javax.ejb.Remove;
import javax.ejb.Stateless;
import javax.jws.WebService;

@Stateless
@Remote(CountRemote.class)
@WebService(serviceName="Counter", portName="CounterPort")
public class CountBean implements CountLocal, CountRemote {

    private int val;

    public int count() {
        System.out.println("count()");
        return ++val;
    }

    public void set(int val) {
        this.val = val;
        System.out.println("set()");
    }

    @Remove
    public void remove() {
        System.out.println("remove()");
    }

}
